Validation failed: Layout can't be blank

02/05/2015 03:42 PM - Anil Vatti

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

I have installed Staypuft and when I click the "New Deployment" under "OpenStack Installer" tab, I am getting following error,

appreciate any lead on where I am missing or anything else needs to be configured. I am bit new to foreman.

Started GET "/deployments/new" for 10.33.54.183 at 2015-02-05 20:30:06 +0000

Processing by Staypuft::DeploymentsController#new as HTML

Operation FAILED: Validation failed: Layout can't be blank

Rendered common/500.html.erb within staypuft/layouts/staypuft (3.6ms)

Rendered layouts/base.html.erb (1.0ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.5.13/app/views/staypuft/layouts/application.html.erb (1.4ms)

Completed 500 Internal Server Error in 32ms (Views: 7.0ms | ActiveRecord: 1.8ms)

History

#1 - 02/06/2015 03:30 AM - Dominic Cleal

- Status changed from New to Rejected

For issues with the staypuft plugin, you'll need to file them in Bugzilla or use the mailing lists linked from here: 

https://github.com/theforeman/staypuft#contributing
